Method: users.availability.markAsDoNotDisturb

Marks user as DO_NOT_DISTURB in Google Chat.

Sets a user's availability state to DO_NOT_DISTURB until a specified expiration time. When in DO_NOT_DISTURB, users typically won't receive notifications.

This method only updates the authenticated user's availability.

Requires user authentication with authorization scope:

  • https://www.googleapis.com/auth/chat.users.availability

HTTP request

POST https://chat.googleapis.com/v1/{name=users/*/availability}:markAsDoNotDisturb

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the availability to mark as Do Not Disturb. Format: users/{user}/availability

{user} is the id for the Person in the People API or Admin SDK directory API. For example, users/123456789.

The user's email address or me can also be used as an alias to refer to the caller. For example, users/user@example.com or users/me.

Request body

The request body contains data with the following structure:

JSON representation
{

  "expireTime": string,
  "ttl": string
}
Fields
Union field expiration. Required. The expiration for the DND availability state. The user will be marked as Away after expiration. This can be at most 1 year from the current time. expiration can be only one of the following:
expireTime

string (Timestamp format)

The absolute timestamp when the DND state expires.

ttl

string (Duration format)

The duration from the current time until the DND state expires.

Response body

If successful, the response body contains an instance of Availability.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/chat.users.availability

For more information, see the Authorization guide.